<?php 
//  Proje:   Google Analystic Export Script         //
//  Site :   http://www.TEAkolik.com                //
//  Yazar:   Hamza ŞAMLIOĞLU                        //
//  Script:  Sergej Müller                          //
//  File:    Analytics.php                          //
//  Versiyon:   2.0                                 //


class analytics {
  private $response;
  private $headers;
  private $cookies;
  private $request;
  private $loggedIn = false;
	private $query;
	private $email;
	private $password;
	
	public function __construct()	{
		$this->query = array(
			                   'fmt' => 1,
			                   'cmp' => 'average'
			                  );
    
		$this->request = new Curl();
  }
  
	public function setOptions($options) {
		if (isset($options['email'])) {
			$this->email = $options['email'];
			unset($options['email']);
		}
		if (isset($options['password'])) {
			$this->password = $options['password'];
			unset($options['password']);
		}
		$this->query = array_merge($this->query, $options);
	}
	
	public function login($email, $password) {
	  if ($this->loggedIn) {
	    return true;
	  }
	  $loginAction = 'https://www.google.com/accounts/ServiceLoginBoxAuth';
	  $this->request->setMethod('POST');
    $this->request->setURL($loginAction);
    // Locate Turkish tr_TR English en_US//
    $this->request->addPostData('continue', 'http://www.google.com/analytics/home/?et=reset&amp;hl=tr-TR');
    $this->request->addPostData('service', 'analytics');
    $this->request->addPostData('nui', '1');
    // Lang Turkish: tr_TR English en_US //
    $this->request->addPostData('hl', 'tr-TR');
    $this->request->addPostData('GA3T', 'ouVrvynQwUs');
    $this->request->addPostData('Email', $email);
    $this->request->addPostData('Passwd', $password);
    $this->request->sendRequest();
    $this->headers = $this->request->getResponseHeader();
    $this->cookies = $this->request->getResponseCookies();
    $this->response = $this->request->getResponseBody();
    if (!ereg('accounts/TokenAuth', $this->response)) {
      die("Şifre yada kullanıcı boş. Lütfen Config.php 'yi kontrol ediniz.");
    }
		foreach ($this->cookies as $c) {
			$this->request->addCookie($c['name'], $c['value']);
	  }
    $this->loggedIn = true;
    return true;
  }
  
  public function getReport($options = array()) {
		$query = http_build_query(array_merge($this->query, $options));
		$url = 'https://www.google.com/analytics/reporting/export?' .$query;
		return $this->load($url);
	}
	
  public function load($url) {
    if (!$this->loggedIn) {
      $this->login($this->email, $this->password);
    }
    $this->request->setMethod('GET');
    $this->request->setURL($url);
    $this->request->sendRequest();
    return $this->request->getResponseBody();
  }
}
?>