<?php
/*
Plugin Name: Google Analytics Export
Plugin URI: http://www.teakolik.com/wordpress-google-analytics-export-page/
Description: Google Analytics Export; Ltfen yeni bir sayfa olusturup HTML editrde <code>{{wp-analytics-teakolik}}</code> kodunu iine ekleyiniz.
Version: 1.2
Author: TEAkolik
Author URI: http://www.teakolik.com

*/

/*
    Copyright (c) 2009 Hamza SAMLIOGLU (teakolik@gmail.com)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
define('WP_ANALYTICS_PLUGIN_PATH', get_settings('home') . '/wp-content/plugins/google-analytics-export/eklenti.php');

function wp_analytics_admin() { include('up2date.php'); }

function wp_analytics_admin_page() {
    if ( function_exists('add_submenu_page') )
        add_submenu_page('plugins.php', __('Analytics Update'), __('Analytics Update'), 'manage_options', 'wp-analytics-plugin', 'wp_analytics_admin');
}
add_action('admin_menu', 'wp_analytics_admin_page');


function wp_analytics_teakolik_content_filter($content) {
    if (is_page()):
        if (strpos($content,'{{wp-analytics-teakolik}}')!== false) {
            return str_replace('{{wp-analytics-teakolik}}', wp_analytics_admin(), $content);
        }
    endif;
    #if (is_single()):
        if (strpos($content,'[wpfp-link]')!== false) {
            return str_replace('[wpfp-link]', wpfp_link(1), $content);
        }
    #endif;
    return $content;
}
add_filter('the_content','wp_analytics_teakolik_content_filter',7);


?>
