<?php
//  Proje:   Google Analystic Export Script         //
//  Site :   http://www.TEAkolik.com                //
//  Yazar:   Hamza SAMLIOGLU                        //
//  File:    Up2date.php                            //
//  Versiyon:   2.2                                 //

/* Ayarlar */
require_once dirname(__FILE__). '/config.php';

/* Lib dosyaları */
require_once INC_PATH. 'curl.class.php';
require_once INC_PATH. 'analytics.class.php';

/* Giris ayarları */
if (empty($config['login_data']['email']) === true || empty($config['login_data']['password']) === true) {
  die('E-mail or Password! Please config.php.');
}

/* IDs ayarları */
if (empty($config['account_ids']) === true) {
  die('IDs Empty! Please config.php.');
}

/* Tarih ayarları Geçmişe 31 gün gider */
if (isset($_GET['start_date']) === true && empty($_GET['start_date']) === false) {
	$start_date = $_GET['start_date'];
} else if (empty($config['chart_date']['start']) === false) {
	$start_date = $config['chart_date']['start'];
} else {
	$start_date = date('Ymd', strtotime('-31 day'));
}

/* Tarihte hesaplama */
if (isset($_GET['end_date']) === true && empty($_GET['end_date']) === false) {
	$end_date = $_GET['end_date'];
} else if (empty($config['chart_date']['end']) === false) {
	$end_date = $config['chart_date']['end'];
} else {
	$end_date = date('Ymd', strtotime('-1 day'));
}

/* Analytics */
$analytics = new analytics();

/* Hesap ip girişi config üzerinden */
foreach ($config['account_ids'] as $account_id) {
  /* Özellikler */
  $analytics->setOptions(
                         array_merge(
                                     $config['login_data'],
                                     array(
                                           'id'  => $account_id
                                          ),
                                     array(
                                     			 'pdr' => $start_date. '-'. $end_date
                                     			)
                                    )
                        );
  
  /* Data klasörü */
  $path = DATA_PATH . $account_id. '/';
  
  /*  Data */
  if (file_exists(DATA_PATH) === false) {
    if (mkdir(DATA_PATH, 0755) === false) {
      die('Error Chmod 755 Data Path!');
    }
  }
  
  /*  Data */
  if (file_exists($path) === false) {
    if (mkdir($path, 0755) === false) {
      die('Error Chmod 755 Data Path!');
    }
  }
  
  /* istekler */
  foreach (array('VisitorsOverviewReport') as $report) {
    /* rapor girisi */
    $data = $analytics->getReport(
                                  array(
                                        'rpt' => $report
                                       )
                                 );
    
    /* giriş devam */
    if (empty($data) === true) {
      continue;
    }
    
    /* Rapor XML */
    if (file_put_contents($path . $report. '.xml', $data) === false) {
      die('Error by file_put_contens operation!');
    }
  }
  
  /* Rapor guncellendi */
  echo sprintf(
               '<br />',
               $account_id
              );
}
?>

<?php 

### Text olarak istatistik goruntuleme ###
  foreach ($config['account_ids'] as $account_id) {
 /* Data klasörü */
 $path = DATA_PATH . $account_id. '/';

 /* XML yukleme */
$ziyaret_xml = simplexml_load_file($path. 'VisitorsOverviewReport.xml');

 /* XML Yazdirma */
echo "<h3>Son 30 Gün;</h3>"; 
echo $ziyaret_xml->Report['name'];
echo "<p></p></b><b>";
echo $ziyaret_xml->Report->ItemSummary[0]->Item->SummaryValue;
echo "&nbsp;</b>";
echo $ziyaret_xml->Report->ItemSummary[0]->Message;
echo "<br><b>";
echo $ziyaret_xml->Report->ItemSummary[1]->Item->SummaryValue;
echo "&nbsp;</b>";
echo $ziyaret_xml->Report->ItemSummary[1]->Message;
echo "<br><b>";
echo $ziyaret_xml->Report->ItemSummary[2]->Item->SummaryValue;
echo "&nbsp;</b>";
echo $ziyaret_xml->Report->ItemSummary[2]->Message;
echo "<br><b>";
echo $ziyaret_xml->Report->ItemSummary[3]->Item->SummaryValue;
echo "&nbsp;</b>";
echo $ziyaret_xml->Report->ItemSummary[3]->Message;
echo "<br><b>";
echo $ziyaret_xml->Report->ItemSummary[4]->Item->SummaryValue;
echo "&nbsp;</b>";
echo $ziyaret_xml->Report->ItemSummary[4]->Message;
echo "<br><b>";
echo $ziyaret_xml->Report->ItemSummary[5]->Item->SummaryValue;
echo "&nbsp;</b>";
echo $ziyaret_xml->Report->ItemSummary[5]->Message;
echo "<br><b>";
echo $ziyaret_xml->Report->ItemSummary[6]->Item->SummaryValue;
echo "&nbsp;</b>";
echo $ziyaret_xml->Report->ItemSummary[6]->Message;
echo "<p> </p>";
} 
?>

<?php

/* Blog istatistikleri */ 

$toplam_yazi = wp_count_posts( 'post' );
$toplam_yazi = $toplam_yazi->publish; //publish, draft
$toplam_kategori  = wp_count_terms('category');
$toplam_etiket  = wp_count_terms('post_tag');
$toplam_yorum  = get_comment_count();
$toplam_yorum  = $toplam_yorum['approved'];

   echo '<b>Blog stats :</b>';
   echo '<br>Şuan ';
   echo '<b>' . $toplam_yazi . '</b> yazı, ';
   echo '<b>' . $toplam_kategori . '</b> kategori, ';
   echo '<b>' . $toplam_etiket . '</b> etiket, ';
   echo '<b>' . $toplam_yorum . '</b> yorum bulunmaktadır. ';

 ?>